For the complete documentation index, see llms.txt. This page is also available as Markdown.

Trade

List Trades

get
Query parameters
osnstringOptionalExample: 1
pageintegerOptionalExample: 1
limitintegerOptionalExample: 20
Responses
200

Successful response

application/json
codeintegerOptionalExample: 200
msgstringOptionalExample: success
get/trade/list
GET /trade/list HTTP/1.1
Accept: */*
{
  "code": 200,
  "msg": "success",
  "data": {
    "list": [
      {
        "id": 1,
        "osn": "text",
        "uid": 1,
        "wid": 1,
        "pid": 1,
        "cid": "NA",
        "type": 1,
        "action": 1,
        "amt": 1,
        "fee": 1,
        "cuy": 840,
        "status": "NA",
        "complete_at": "2026-01-01T00:00:00.000Z",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "count": 20
  }
}

Get Trade Info

get
Query parameters
idintegerOptionalExample: 1
Responses
200

Successful response

application/json
codeintegerOptionalExample: 200
msgstringOptionalExample: success
get/trade/info
GET /trade/info HTTP/1.1
Accept: */*
{
  "code": 200,
  "msg": "success",
  "data": {
    "id": 1,
    "osn": "text",
    "uid": 1,
    "wid": 1,
    "pid": 1,
    "cid": "NA",
    "type": 1,
    "action": 1,
    "amt": 1,
    "fee": 1,
    "cuy": 840,
    "status": "NA",
    "complete_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}

Create Trade

post
Body
pidintegerOptionalExample: 1
amtnumberOptionalExample: 18.2
widintegerOptionalExample: 1
osnstringOptionalExample: t_123456
Responses
200

Successful response

application/json
codeintegerOptionalExample: 200
msgstringOptionalExample: success
post/trade/create
POST /trade/create HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "pid": 1,
  "amt": 18.2,
  "wid": 1,
  "osn": "t_123456"
}
{
  "code": 200,
  "msg": "success"
}

Recharge Trade

post
Body
cidintegerOptionalExample: 1
amtnumberOptionalExample: 18.2
widintegerOptionalExample: 1
osnstringOptionalExample: t_123456
Responses
200

Successful response

application/json
codeintegerOptionalExample: 200
msgstringOptionalExample: success
post/trade/recharge
POST /trade/recharge HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "cid": 1,
  "amt": 18.2,
  "wid": 1,
  "osn": "t_123456"
}
{
  "code": 200,
  "msg": "success"
}

Last updated

Was this helpful?